"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EventBus {
    constructor() {
        this.handlers = {};
    }
    on(eventName, fn) {
        this.handlers[eventName] = this.handlers[eventName] || [];
        this.handlers[eventName].push(fn);
    }
    emit(eventName, payload) {
        if (this.handlers[eventName]) {
            this.handlers[eventName].forEach(fn => {
                fn(payload);
            });
        }
    }
}
exports.default = EventBus;
